<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8" />
    <title>Company</title>

    <div th:replace="fragments/side-menu-header :: css-side"></div>
    <!-- If there's must have plugin put here -->
    <!-- Plugin css for this page -->
    <link rel="stylesheet" th:href="@{assets/vendors/datatables.net-bs4/dataTables.bootstrap4.css}">
    <!-- End plugin css for this page -->
    <!-- end -->

</head>

<body>
    <div class="container-scroller">
        <!-- partial:../../partials/_navbar.html -->
        <nav th:replace="fragments/side-menu-header :: navbar"></nav>
        <!-- partial -->
        <div class="container-fluid page-body-wrapper">
            <!-- partial:../../partials/_sidebar.html -->
            <nav th:replace="fragments/side-menu-menu :: sidebar"></nav>
            <!-- partial -->
            <div class="main-panel">
                <div class="content-wrapper">
                    <div class="page-header">
                        <h3 class="page-title"> Company </h3>
                        <nav aria-label="breadcrumb">
                          <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="/dashboard">Dashboard</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Company</li>
                          </ol>
                        </nav>
                    </div>
                    <div class="card">
                        <div class="card-body">
                            <div class="card-title">
                                <div class="row">
                                    <div class="col-sm-4">
                                        <h4 class="custom-title">Company List</h4>
                                    </div>
                                    <div class="col-sm-8 text-right">
                                        <a th:href="@{/headquarter-add}" title="Add Branch" class="btn btn-info btn-fw btn-sm">
                                            <i class="fa fa-plus"></i> Add Headquarters
                                        </a>
                                        &nbsp;
                                        <a th:href="@{/branch-add(parent_id=${parentBranch})}" title="Add Branch" class="btn btn-success btn-fw btn-sm">
                                            <i class="fa fa-plus"></i> Add Branch
                                        </a>
                                    </div>
                                </div>
                            </div>

                            <hr class="title-line" />

                            <div class="row">
                                <div class="col-lg-12">
	                                <table id="order-listing" class="table">
	                                    <thead>
	                                        <tr>
	                                            <th>No</th>
	                                            <th>Branch Name</th>
	                                            <th>Parent Branch</th>
	                                            <th>Company Status</th>
	                                            <th>Province</th>
	                                            <th>City</th>
	                                            <th class="text-center">Actions</th>
	                                        </tr>
	                                    </thead>
	                                    <tbody>
	                                    	<tr th:each="company, iter : ${companies}">
	                                            <td th:text="${iter.index + 1}"></td>
	                                            <td th:text="${company.name}"></td>
	                                            <td> - </td>
	                                            <td th:switch="${company.companyType}">
	                                            	<span th:case="'1'">Headquarters</span>
	                                            	<span th:case="*">Branch</span>
	                                            </td>
	                                            <td th:text="${company.province}"></td>
	                                            <td th:text="${company.city}"></td>
	                                            <td class="text-center" th:switch="${company.companyType}">
	                                                <span th:case="'1'">
	                                                	<a class="btn btn-warning btn-sm" th:href="@{/headquarter-add(id=${company.id})}" title="Edit"><i class="fa fa-pencil-square-o"></i></a>
		                                                <a class="btn btn-danger btn-sm" href="#" title="Delete"><i class="fa fa-trash-o"></i></a>
		                                                <a class="btn btn-secondary btn-sm" href="#" title="View"><i class="fa fa-eye"></i></a>
	                                                </span>
	                                            	<span th:case="*">
	                                            		<a class="btn btn-warning btn-sm" th:href="@{/branch-add(id=${company.id})}" title="Edit"><i class="fa fa-pencil-square-o"></i></a>
		                                                <a class="btn btn-danger btn-sm" href="#" title="Delete"><i class="fa fa-trash-o"></i></a>
		                                                <a class="btn btn-secondary btn-sm" href="#" title="View"><i class="fa fa-eye"></i></a>
	                                            	</span>
	                                            </td>
	                                        </tr>
	                                    </tbody>
	                                </table>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
                <!-- content-wrapper ends -->
                <!-- partial:../../partials/_footer.html -->
                <footer th:replace="fragments/side-menu-footer :: footer"></footer>
                <!-- partial -->
            </div>
            <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
    
    <div th:replace="fragments/side-menu-footer :: js"></div>

    <!-- Plugin js for this page -->
    <script th:src="@{assets/vendors/datatables.net/jquery.dataTables.js}"></script>
    <script th:src="@{assets/vendors/datatables.net-bs4/dataTables.bootstrap4.js}"></script>
    <!-- End plugin js for this page -->

    <!-- Custom js for this page -->
    <script th:src="@{assets/js/data-table.js}"></script>
    <!-- End custom js for this page -->
</body>

</html>